using System;
using Server;
using Server.Engines.Craft;


namespace Server.Items
{
	public class TinkerRunicBl : RunicTinkerTools
	{

		[Constructable]
		public TinkerRunicBl() : this( 10 )
		{
		}		

		[Constructable]
		public TinkerRunicBl( int uses ) : base( CraftResource.Bloodstone )
		{
			Weight = 1.0;
			UsesRemaining = uses;
		}
		public TinkerRunicBl( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}